IOError: decoder zip not available when using PIL

YouOverThere jsmith1703 at aol.com
Wed Aug 20 04:14:51 CEST 2008


I keep getting the error message "IOError: decoder zip not available"
when using the Python Imaging Library. The error has occurred when
trying to work with PNGs or JPEGs or when loading the fonts supplied
with PIL. I can work with GIFs. I assume that I did something wrong
when I built Python and/or PIL, but I'm at a loss as to what.

I am running Python 2.5.1 with PIL 1.1.6 under SUSE Linux 10.2. I am
stuck working on my own because our SysAdmin staff is loathe to
install any Python packages.

Thanks in advance!



More information about the Python-list mailing list